---
title: IntersectionObserverEntry.intersectionRatio
slug: Web/API/IntersectionObserverEntry/intersectionRatio
tags:
  - API
  - Experimental
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserverEntry
  - Property
  - Reference
  - intersectionRatio
---
<div>{{APIRef("Intersection Observer API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserverEntry")}} interface's read-only <strong><code>intersectionRatio</code></strong> property tells you how much of the target element is currently visible within the root's intersection ratio, as a value between 0.0 and 1.0.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>intersectionRatio</em> = </code>IntersectionObserverEntry</var>.intersectionRatio;
</pre>

<h3 id="Value">Value</h3>

<p>A number between 0.0 and 1.0 which indicates how much of the target element is actually visible within the root's intersection rectangle. More precisely, this value is the ratio of the area of the intersection rectangle ({{domxref("IntersectionObserverEntry.intersectionRect", "intersectionRect")}}) to the area of the target's bounds rectangle ({{domxref("IntersectionObserverEntry.boundingClientRect", "boundingClientRect")}}).</p>

<p>If the area of the target's bounds rectangle is zero, the returned value is 1 if {{domxref("IntersectionObserverEntry.isIntersecting", "isIntersecting")}} is <code>true</code> or 0 if not.</p>

<h2 id="Example">Example</h2>

<p>In this simple example, an intersection callback sets each target element's {{cssxref("opacity")}} to the intersection ratio of that element with the root.</p>

<pre class="brush: js">function intersectionCallback(entries) {
  entries.forEach(function(entry) {
    entry.target.style.opacity = entry.intersectionRatio;
  });
}</pre>

<p>To see a more concrete example, take a look at {{SectionOnPage("/en-US/docs/Web/API/Intersection_Observer_API/Timing_element_visibility", "Handling intersection changes")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver', '#dom-intersectionobserverentry-intersectionratio', 'IntersectionObserverEntry.intersectionratio')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserverEntry.intersectionRatio")}}</p>
